Subject: Upload a file with Uppercase letters --> Error in filelist

Description

When | upload a new file with uppercase letters, | get an error in the filelist telling me that the file does not exist. Besides of TYPO3 |
can see the uploaded file in the filesystem with it's original name, but there is no corresponding entry in the sys_file table of the
database.

Related issues:

related to Core - Bug # 55359: Image files with uppercase file extension don'... Resolved 2014-01-27
related to Core - Bug # 55514: Create new file or upload with Uppercase filen... Closed 2014-01-31
related to Core - Bug # 58393: FAL / casesensitive Closed 2014-05-01
History

#1 - 2014-02-05 19:55 - Frans Saris
- Status changed from New to Needs Feedback

Could you check if this resolves the issue for you?

https://review.typo3.org/#/c/27359/

#2 - 2014-02-18 13:06 - Steffen Ritter
- Target version deleted (6.2.0)

#3 - 2014-05-03 15:58 - Sebastian Fischer

Cant confirm the problem. Could upload file with name Cute-Cats-cats-33440930-1280-800.jpg and find a sys_file record in current master.

#4 - 2014-05-15 11:06 - Norman Sand

- File 01.png added

- File 02.png added
- File 03.png added

I can confirm this problem with Version 6.2.2. Files with uppercase letters will be uploaded to the folder, but a PHP-Error will be thrown and the folder
can't be viewed in the Filelist anymore (See screenshots enclosed).!!

The solution seems to be pretty simple actually (at least it works for me): You need to check the checkbox for "Uses case sensitive identifiers" for the
File Storage (List -> Rootpage -> File Storage). If this is not done, files with uppercases seem not to work. After checking this setting all uploaded files
https://review.typo3.org/#/c/27359/

are working at once.

| would recommend to make this checkbox checked by default. (I think it's not right now.)

#5 - 2014-05-15 11:23 - Frans Saris

Hi Norman,

There is already a check in core to see if you have got an case-sensitive file system and sets the checkbox of the file storage.
But it could be that this needs some extra finetuning.

Did you do an upgrade or an clean install of 6.2.2?

gr. Frans

#6 - 2014-05-15 11:30 - Norman Sand

Hi Frans,

| upgraded from 6.2.0 to 6.2.2, so it's possible that this setting came from 6.2.0. I'm going to set up a clean install of 6.2.2 in a few days on the same

server and check what happens here.

#7 - 2014-05-15 11:37 - Frans Saris

You did not have these problems on 6.2.0? And was that a clean install or an upgrade?

#8 - 2014-05-26 15:22 - Norman Sand

| just set up a fresh installation/clean install (6.2.3). The ceckbox was not set here, so it seems this is not checked by default. | am on a different system

now so it's possible, that the core just don't checked the box because it's not needed on my system.

#9 - 2014-08-29 08:49 - Francois Suter

| stumbled on the same issue today and checking the "Uses case sensitive identifiers" box indeed solved the problem.

Frans, given what you said, | can highlight one typical scenario: in our office, all developers work locally on Mac, but the servers are Linux. So | guess

that when a file storage is first created locally (i.e. on Mac OS), FAL detects a case-insensitive system. When the site is later placed on a Linux server,

the file storage behaves "wrongly".

I'm not sure what can be done to help here, but it is obvious that the utter lack of FAL documentation does not help at all.

#10 - 2014-08-29 08:52 - Francois Suter

And | would say that this option should be "On" by default, as it does not hurt on case-insensitive systems (at least not on Mac OS), and it seems
rather pointless to me to force all lowercase.
#11 - 2014-08-29 10:46 - Alexander Opitz

This option can't be on by default. The option is selected/deselected automatically while creating a storage, depending on the ability of the underlying
system.

For non case-sensitive systems my.gif is the same as MY.GIF, so we are on the safer side if we do lowercasing on such systems.

| vote for closing this issue as "Won't fix" an integrator who moves his TYPOS installation from a case-sensitive to an case-insensitive filesystem (or

vice-versa) should know to change this checkbox. Maybe we can add a test in the install-tool that checks if the correct system is selected.

#12 - 2014-12-04 16:41 - André Markus

Where can | find check checkbox "Uses case sensitive identifiers" ???

Can't see it in the All configuration section (Install Tool).

#13 - 2014-12-04 19:48 - Frans Saris

This is a setting of the file storage. You find the storage records in the page tree root.

Gr. Frans

#14 - 2014-12-05 15:45 - André Markus

Oomg... -.-

Thanks Frans!

#15 - 2014-12-08 14:40 - Alexander Opitz

So, can we close this issue?

#16 - 2015-01-31 15:54 - Ingo Schmitt
- Status changed from Needs Feedback to Closed

We can close!

Files

01.png 35.1 kB 2014-05-15 Norman Sand
02.png 35.3 kB 2014-05-15 Norman Sand
03.png 98.5 kB 2014-05-15 Norman Sand
